<template>
  <modal name="modal-insurance"
         class="arcticmodal-container"
         :clickToClose="false"
         :height="'auto'"
         :adaptive="true"
         @before-open="beforeOpen">
      <div class="container m-header">
        <div class="row">
          <div class="column">
            <h3>Страхование займа</h3>
          </div>
        </div>
      </div>
      <div class="container">
        <p>Вы уверены, что не хотите застраховать займ на {{params.sum}} рублей за {{params.price}} рублей сроком на 30 дней. <a target="_blank" @click.prevent="openPopup('http://static.webbankir.com/public/docs/insurance-rules.pdf')" href="#">Правила страхования.</a></p>
        <div class="row buttons">
          <div class="columns six center">
            <button @click="select('yes')">ЗАСТРАХОВАТЬ ЗАЙМ</button>
          </div>
          <div class="columns six center">
            <button class="white" @click="select('no')" style="padding: 0px 10px 0px 10px">Продолжить без услуги</button>
            <!--<button class="white" @click.prevent="select('no')" style="padding: 0px 10px 0px 10px">Продолжить без услуги</button>-->
          </div>
        </div>
      </div>
  </modal>
</template>
<script>
  export default {
    name: 'ModalInsurance',
    data () {
      return {
        time: 0,
        duration: 5000,
        params: {}
      }
    },
    methods: {
      close () {
        this.$modal.hide('modal-insurance')
      },
      select (answer) {
        this.$emit('select', answer)
        // this.close()
      },
      beforeOpen (event) {
        this.params = event.params
      }
    }
  }
</script>
<style scoped>
  .buttons button {
    text-align: center;
  }
</style>
